Subject: Re: [PATCH] via-pmu: report powerbutton as proper input event

From: Johannes Berg <[email-masked]>
Date: Mon, 01 May 2006 11:21:54 +0200

On Mon, 2006-05-01 at 19:09 +1000, Benjamin Herrenschmidt wrote:
> > What else does it report? As far as I know it doesn't have anything
> > else, at least on my system.
> 
> Depends on the machine... earlier ones have the backlight there or
> volume control.. then LID close could be an event too...

Ok, yea. Well, we need to rework all of that. Currently, to get at the
lid status, you have to open /dev/adb and do something through that.

I honestly don't understand the reason for this. Is it just historic?

johannes